Bug 1433686 - Review Request: scram - Probabilistic risk analysis tool
Summary: Review Request: scram - Probabilistic risk analysis tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-19 10:38 UTC by ol.rakhimov
Modified: 2017-04-01 17:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-30 01:20:17 UTC
Type: ---
lemenkov: fedora-review+


Attachments (Terms of Use)

Description ol.rakhimov 2017-03-19 10:38:52 UTC
Spec URL: https://github.com/rakhimov/scram-rpm/raw/master/scram.spec
SRPM URL: https://github.com/rakhimov/scram-rpm/raw/master/scram-0.12.0-1.fc27.src.rpm
Description: Probabilistic risk analysis tool (fault tree analysis, etc.)
Fedora Account System Username: rakhimov

The tested build in koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=18468895

Build setup attempts on copr: https://copr.fedorainfracloud.org/coprs/rakhimov/scram/

I am an upstream developer of the package,
and this is my first RPM package,
I'd appreciate review and sponsorship.

Comment 1 Peter Lemenkov 2017-03-20 12:22:14 UTC
I'll review it (and sponsor you eventually).

Comment 2 Peter Lemenkov 2017-03-20 12:40:47 UTC
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is silent

Auriga ~/rpmbuild/SPECS: rpmlint ~/rpmbuild/SRPMS/scram-0.12.0-1.fc25.src.rpm ~/rpmbuild/RPMS/x86_64/scram-*
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
Auriga ~/rpmbuild/SPECS:

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (GPLv3 or later).
+ The file, containing the text of the license(s) for the package, is included as %license.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

Auriga ~/rpmbuild/SOURCES: sha256sum scram-0.12.0.tar.gz*
ff7c38e0b40ada5472f9521817e2ff890ecc2803909e895772f92a4ea30d4c90  scram-0.12.0.tar.gz
ff7c38e0b40ada5472f9521817e2ff890ecc2803909e895772f92a4ea30d4c90  scram-0.12.0.tar.gz.1
Auriga ~/rpmbuild/SOURCES:

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files in some of the dynamic linker's default paths.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.

+/- The package shouldn't list scram.1 as %docs and as man-page. Just modify %install section in the following way:

install -p -D -m 644 doc/scram.1 -t %{buildroot}/%{_mandir}/man1/
rm -f doc/scram.1
install -p -D -m 644 scripts/scram.sh %{buildroot}/%{_datadir}/bash-completion/completions/scram

There are other ways to handle this properly. This is minor issue anyway, so I don't see this as a blocker.

+ Permissions on files are set properly.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No C/C++ header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files without a suffix (e.g. libfoo.so) in some of the dynamic linker's default paths.
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.


This package is 


APPROVED.

Comment 3 Peter Lemenkov 2017-03-20 12:43:45 UTC
Unblocking FE-NEEDSPONSOR - I've just sponsored Olzhas.

Comment 4 ol.rakhimov 2017-03-20 19:49:33 UTC
Thanks Peter for the review and sponsorship!

Comment 5 Gwyn Ciesla 2017-03-20 21:49:55 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/scram

Comment 6 Fedora Update System 2017-03-21 01:13:26 UTC
scram-0.12.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-504a913664

Comment 7 Fedora Update System 2017-03-21 01:17:34 UTC
scram-0.12.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5c9dce6ae2

Comment 8 Fedora Update System 2017-03-21 14:26:11 UTC
scram-0.12.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5c9dce6ae2

Comment 9 Fedora Update System 2017-03-21 17:54:52 UTC
scram-0.12.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-504a913664

Comment 10 Fedora Update System 2017-03-30 01:20:17 UTC
scram-0.12.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-04-01 17:19:47 UTC
scram-0.12.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.